%define name dotfile
%define ver  2.4.1
%define rel  8mdk
%define prefix %{_prefix}

# this is really only for the installation stuff ... it doesn't
# include the DocDir location or whatever ... I haven't gotten it to
# work without disrupting rpm et al ...

Summary: The Dotfile Generator main utility
Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: System/Configuration/Other
Source0: ftp://ftp.imada.ou.dk/pub/dotfile/%{name}-%{ver}.tar.bz2
Patch: dotfile-install.patch.bz2
URL: http://www.blackie.dk/dotfile/
Requires: tcl, tk
Buildrequires: tclx
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This utility is a graphical interface to configure various common
utilities and software.  Presently, the available modules are: bash,
elm, fvwm1, fvwm2, ipfwadm, procmail, rtin, and tcsh.  This is
the main package; the individual modules are packaged separately.
(There are also japanese modules available for canna, fvwm1 and fvwm2.)

%package bash
Summary: The Dotfile Generator bash module
Version: 1.02
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description bash
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the bash module.

%post bash
tclsh %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} english/bash bytecompile

%preun bash
rm -f %{prefix}/lib/dotfile-%{ver}/english/bash/bytecompile

%files bash
%defattr (-, root, root)
%doc Modules/english/bash/{README,TODO,help.html}
%{prefix}/lib/dotfile-%{ver}/english/bash/

%package canna-jp
Summary: The Dotfile Generator canna module
Version: alpha_2.1
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description canna-jp
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the canna module (in japanese).

%post canna-jp
tclsh %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} japanese/canna bytecompile

%preun canna-jp
rm -f %{prefix}/lib/dotfile-%{ver}/japanese/canna/bytecompile

%files canna-jp
%defattr (-, root, root)
%doc Modules/japanese/canna/help.html
%{prefix}/lib/dotfile-%{ver}/japanese/canna/

%package elm
Summary: The Dotfile Generator elm module
Version: 1.0b1
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description elm
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the elm module.

%post elm
tclsh %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} english/elm bytecompile

%preun elm
rm -f %{prefix}/lib/dotfile-%{ver}/english/elm/bytecompile

%files elm
%defattr (-, root, root)
%doc Modules/english/elm/README
%{prefix}/lib/dotfile-%{ver}/english/elm/

%package fvwm1
Summary: The Dotfile Generator fvwm1 module
Version: 1.3
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description fvwm1
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the fvwm1 module.

%post fvwm1
if wish %{prefix}/lib/dotfile-%{ver}/Generator/testwish ;
then
	wish %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} english/fvwm1 bytecompile
else
        echo "------------------------------------------------------------------"
	echo "An error should be shown above!"
	echo "You need X to bytecompile the fvwm1 module, do this manually after"
	echo "the installation, by starting this module"
	echo "(must be done as root or with adequate permissions"
        echo "in %{prefix}/lib/dotfile-%{ver}/english/fvwm1/)"
fi

%preun fvwm1
rm -f %{prefix}/lib/dotfile-%{ver}/english/fvwm1/bytecompile

%files fvwm1
%defattr (-, root, root)
%doc Modules/english/fvwm1/README
%{prefix}/lib/dotfile-%{ver}/english/fvwm1/

%package fvwm1-jp
Summary: The Dotfile Generator fvwm1 module (in japanese)
Version: 1.2jp3
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description fvwm1-jp
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the fvwm1 module (in japanese).

%post fvwm1-jp
if wish %{prefix}/lib/dotfile-%{ver}/Generator/testwish ;
then
	wish %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} japanese/fvwm1 bytecompile
else
        echo "------------------------------------------------------------------"
	echo "An error should be shown above!"
	echo "You need X to bytecompile the fvwm1-jp module, do this manually after"
	echo "the installation, by starting this module"
	echo "(must be done as root or with adequate permissions"
        echo "in %{prefix}/lib/dotfile-%{ver}/japanese/fvwm1/)"
fi

%preun fvwm1-jp
rm -f %{prefix}/lib/dotfile-%{ver}/japanese/fvwm1/bytecompile

%files fvwm1-jp
%defattr (-, root, root)
%doc Modules/japanese/fvwm1/{README,TRANSLATOR,help.html}
%{prefix}/lib/dotfile-%{ver}/japanese/fvwm1/

%package fvwm2
Summary: The Dotfile Generator fvwm2 module
Version: 1.1
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description fvwm2
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the fvwm2 module.

%post fvwm2
if wish %{prefix}/lib/dotfile-%{ver}/Generator/testwish ;
then
	wish %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} english/fvwm2 bytecompile
else
        echo "------------------------------------------------------------------"
	echo "An error should be shown above!"
	echo "You need X to bytecompile the fvwm2 module, do this manually after"
	echo "the installation, by starting this module"
	echo "(must be done as root or with adequate permissions"
        echo "in %{prefix}/lib/dotfile-%{ver}/english/fvwm2/)"
fi

%preun fvwm2
rm -f %{prefix}/lib/dotfile-%{ver}/english/fvwm2/bytecompile

%files fvwm2
%defattr (-, root, root)
%doc Modules/english/fvwm2/{README,help.html}
%{prefix}/lib/dotfile-%{ver}/english/fvwm2/

%package fvwm2-jp
Summary: The Dotfile Generator fvwm2 module (in japanese)
Version: 1.0b6jp2
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description fvwm2-jp
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the fvwm2 module (in japanese).

%post fvwm2-jp
if wish %{prefix}/lib/dotfile-%{ver}/Generator/testwish ;
then
	wish %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} japanese/fvwm2 bytecompile
else
        echo "------------------------------------------------------------------"
	echo "An error should be shown above!"
	echo "You need X to bytecompile the fvwm2-jp module, do this manually after"
	echo "the installation, by starting this module"
	echo "(must be done as root or with adequate permissions"
        echo "in %{prefix}/lib/dotfile-%{ver}/japanese/fvwm2/)"
fi

%preun fvwm2-jp
rm -f %{prefix}/lib/dotfile-%{ver}/japanese/fvwm2/bytecompile

%files fvwm2-jp
%defattr (-, root, root)
%doc Modules/japanese/fvwm2/{README,TODO.japanese,TRANSLATOR,help.html}
%{prefix}/lib/dotfile-%{ver}/japanese/fvwm2/

%package ipfwadm
Summary: The Dotfile Generator ipfwadm module
Version: 1.00
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description ipfwadm
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the ipfwadm module.

%post ipfwadm
tclsh %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} english/ipfwadm bytecompile

%preun ipfwadm
rm -f %{prefix}/lib/dotfile-%{ver}/english/ipfwadm/bytecompile

%files ipfwadm
%defattr (-, root, root)
%{prefix}/lib/dotfile-%{ver}/english/ipfwadm/

%package procmail
Summary: The Dotfile Generator procmail module
Version: 1.3
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description procmail
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the procmail module.

%post procmail
tclsh %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} english/procmail bytecompile

%preun procmail
rm -f %{prefix}/lib/dotfile-%{ver}/english/procmail/bytecompile

%files procmail
%defattr (-, root, root)
%doc Modules/english/procmail/{ChangeLog,TDG-advertisment,TODO,help.html}
%{prefix}/lib/dotfile-%{ver}/english/procmail/

%package rtin
Summary: The Dotfile Generator rtin module
Version: 0.02
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description rtin
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the rtin module.

%post rtin
tclsh %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} english/rtin bytecompile

%preun rtin
rm -f %{prefix}/lib/dotfile-%{ver}/english/rtin/bytecompile

%files rtin
%defattr (-, root, root)
%doc Modules/english/rtin/help.html
%{prefix}/lib/dotfile-%{ver}/english/rtin/

%package tcsh
Summary: The Dotfile Generator tcsh module
Version: 1.4
Group: System/Configuration/Other
Requires: tcl, tk, dotfile >= %{ver}
%description tcsh
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the tcsh module.

%post tcsh
tclsh %{prefix}/lib/dotfile-%{ver}/Generator/dotfile.tcl %{prefix}/lib/dotfile-%{ver}/Generator %{prefix}/lib/dotfile-%{ver} english/tcsh bytecompile

%preun tcsh
rm -f %{prefix}/lib/dotfile-%{ver}/english/tcsh/bytecompile

%files tcsh
%defattr (-, root, root)
%doc Modules/english/tcsh/{TCSH.NOTE,help.html}
%{prefix}/lib/dotfile-%{ver}/english/tcsh/

%prep
rm -rf $RPM_BUILD_ROOT

%setup0
%patch -p1
%build

# english
echo "1" | ./configure --prefix=%{prefix} --mandir=%{_mandir}

# japanese
echo "2" | ./configure --prefix=%{prefix} --mandir=%{_mandir}


cd Modules/english/procmail
#./configure --prefix=%{prefix}
%configure


%install
#make install  ### bytecompiles, which we don't want yet
make install_prefix=$RPM_BUILD_ROOT/ copydirs
cp testwish $RPM_BUILD_ROOT%{prefix}/lib/dotfile-%{ver}/Generator/

# remove the docs and unneeded files from the install tree

for i in bash/{README,TODO,help.html} elm/README fvwm1/README \
	    fvwm2/{README,help.html} \
	    procmail/{ChangeLog,TDG-advertisment,TODO,config*,help.html,*.in} \
	    rtin/help.html tcsh/{TCSH.NOTE,help.html} ; do
    rm $RPM_BUILD_ROOT%{prefix}/lib/dotfile-%{ver}/english/$i
done

for i in canna/help.html \
	    fvwm1/{README,TRANSLATOR,help.html} \
	    fvwm2/{README,TODO.japanese,TRANSLAT[EO]R,help.html} ; do
    rm $RPM_BUILD_ROOT%{prefix}/lib/dotfile-%{ver}/japanese/$i
done

rm $RPM_BUILD_ROOT%{prefix}/lib/dotfile-%{ver}/Generator/{TODO,system.tcl.in}

mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
cp $RPM_BUILD_ROOT/usr/man/man1/*  $RPM_BUILD_ROOT%{_mandir}/man1/

rm -rf  $RPM_BUILD_ROOT/usr/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING Doc/./ Generator/TODO
%{prefix}/bin/dotfile
%{prefix}/bin/dotfile-%{ver}
%dir %{prefix}/lib/dotfile-%{ver}
%dir %{prefix}/lib/dotfile-%{ver}/english
%dir %{prefix}/lib/dotfile-%{ver}/japanese
%{prefix}/lib/dotfile-%{ver}/Generator/
%{_mandir}/man1/*

%changelog
* Wed May 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-8mdk
- rebuild

* Tue Apr 29 2003  Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-7mdk
- adjust buildrequires

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-6mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-5mdk
- 2.4.1

* Tue Jul 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-4mdk
- rebuild

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-3mdk
- rebuild
- fix groups

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-2mdk
- bm

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.4.1-1mdk
- compiled and packaged for Mandrake

